﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class aspnet_gridview_custom_paging_index : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            BindGridView(1);
        }
    }
    protected void gridView_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        gridView.PageIndex = e.NewPageIndex;
        BindGridView(e.NewPageIndex + 1);
    }

    public void BindGridView(int pageNo)
    {
        int pageSize = 5;
        gridView.PageSize = pageSize;

        SqlConnection conn = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        DataSet dataSet= new DataSet();

        conn.ConnectionString = ConfigurationManager.ConnectionStrings["CS"].ConnectionString;

        cmd.Connection = conn;
        cmd.CommandType = CommandType.StoredProcedure;
        cmd.CommandText = "[dbo].[sp_GetProductByCustomPaging]";

        cmd.Parameters.AddWithValue("@PageNo", pageNo);
        cmd.Parameters.AddWithValue("@pageSize", pageSize);

        SqlDataAdapter sqlDataAdapter = new SqlDataAdapter();
        sqlDataAdapter.SelectCommand = cmd;

        try
        {
            sqlDataAdapter.Fill(dataSet);

            gridView.VirtualItemCount = Convert.ToInt32(dataSet.Tables[1].Rows[0]["Total"]);
            gridView.DataSource = dataSet.Tables[0];
            gridView.DataBind();
        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
        }
        finally
        {
        }
    }

}